> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Organization Email Domains

> List email domains for an organization.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/organizations/{org_id}/email-domains
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/organizations/{org_id}/email-domains:
    get:
      tags:
        - Organizations
      summary: List Organization Email Domains
      description: List email domains for an organization.
      operationId: core_api_v1_controllers_organizations_list_organization_email_domains
      parameters:
        - in: path
          name: org_id
          schema:
            title: Org Id
            type: string
          required: true
        - in: query
          name: page
          schema:
            default: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: page_size
          schema:
            default: 50
            title: Page Size
            type: integer
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailDomainListOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    EmailDomainListOut:
      properties:
        object:
          default: list
          title: Object
          type: string
        data:
          items:
            $ref: '#/components/schemas/EmailDomainOut'
          title: Data
          type: array
        has_more:
          title: Has More
          type: boolean
        total:
          title: Total
          type: integer
      required:
        - data
        - has_more
        - total
      title: EmailDomainListOut
      type: object
    EmailDomainOut:
      properties:
        object:
          default: email_domain
          title: Object
          type: string
        id:
          title: Id
          type: string
        domain:
          title: Domain
          type: string
        is_primary:
          default: false
          title: Is Primary
          type: boolean
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
      required:
        - id
        - domain
      title: EmailDomainOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````